Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdNtChatMsg Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | ClientId ([out, retval] RtCSNID *pcsnidClient)
HRESULT | ClientId ([in] RtCSNID csnidClient)
HRESULT | ClientName ([out, retval] BSTR *pbstrName)
HRESULT | ClientName ([in] BSTR bstrName)
HRESULT | Time ([out, retval] RtQWORD *pTime)
HRESULT | Time ([in] RtQWORD time)
HRESULT | Text ([out, retval] BSTR *pbstrText)
HRESULT | Text ([in] BSTR bstrText)

## Detailed Description

Object represents a single chat message.

See also:
  IRdNtChat

## Member Function Documentation

HRESULT IRdNtChatMsg::Clear | ( | void |  | ) |

| Clear this chat message.

HRESULT IRdNtChatMsg::ClientId | ( | [out, retval] RtCSNID * | pcsnidClient | ) |

  | Get clien't identification number. This number is intended to use as message's author identification. Parameters:
  pcsnidClient | - returns client's identification number.

HRESULT IRdNtChatMsg::ClientId | ( | [in] RtCSNID | csnidClient | ) |

  | Set client's identification number for this message. Parameters:
  csnidClient | - client's identification number.

HRESULT IRdNtChatMsg::ClientName | ( | [out, retval] BSTR * | pbstrName | ) |

  | Get client's name of this message. Parameters:
  pbstrName | - returns client's name.

HRESULT IRdNtChatMsg::ClientName | ( | [in] BSTR | bstrName | ) |

  | Set client's name for this message. Parameters:
  bstrName | - client name.

HRESULT IRdNtChatMsg::Time | ( | [out, retval] RtQWORD * | pTime | ) |

  | Get time property of this message. If this object was created by Server, then it define time when this message was send to all clients. Parameters:
  pTime | - returns message's time property.

HRESULT IRdNtChatMsg::Time | ( | [in] RtQWORD | time | ) |

  | Set time for this message. The time should specify time when it was created or sent. Parameters:
  time | - message's time.

HRESULT IRdNtChatMsg::Text | ( | [out, retval] BSTR * | pbstrText | ) |

  | Get text of this message Parameters:
  pbstrText | - returns text of the message

HRESULT IRdNtChatMsg::Text | ( | [in] BSTR | bstrText | ) |

  | Set text of this message Parameters:
  bstrText | - text of the message